
Advanced Frontend Editing - Bug # 61212

Status: Resolved Priority: Should have
Author: Guillaume Germain Category:
Created: 2014-08-26 Assigned To: Chris topher
Updated: 2014-10-26 Due date:
Subject: Fix fatal error in TYPO3 < 6.2
Description

Hello,

I use "feeditadvanced" version 1.6.0 in TYPO3 4.5.34.

I have a fatal error when I want to insert a new content. The AJAX request returns : 
Fatal error: Call to undefined method t3lib_BEfunc::getAjaxUrl() in
/var/www/vhosts/keolis/httpdocs/typo3conf/ext/feeditadvanced/service/ajax.php on line 777

The function getAjaxUrl() does not exist in TYPO3 4.5.

Related issues:
follows Advanced Frontend Editing - Bug # 56153: 6.2 Compatibility Changes Closed 2014-02-20

Associated revisions
Revision a770b764 - 2014-10-26 15:07 - Chris topher

[TASK] Fix fatal error in TYPO3 < 6.2

Fix a fatal error, which might happen you try adding a new content
element.

Change-Id: If5e777e73bf97b4882e6cde662264945727359bf
Resolves: #61212
Reviewed-on: http://review.typo3.org/33543
Reviewed-by: Chris topher <chrissitopher@gmx.de>
Tested-by: Chris topher <chrissitopher@gmx.de>

History
#1 - 2014-08-28 14:23 - Chris topher

This code has been introduced with #56153 as part of https://review.typo3.org/#/c/31961/6/service/ajax.php.

Seems like the condition for TYPO3 6.2 around the newly added code block is missing there:
1if (version_compare(TYPO3_branch, '6.1', '>')) {2// Add TYPO3.settings.ajaxUrls3$ajaxUrls = array();4foreach (array_keys($GLOBALS['
TYPO3_CONF_VARS']['BE']['AJAX']) as$ajaxHandler) {5$ajaxUrls[$ajaxHandler] = t3lib_BEfunc::getAjaxUrl($ajaxHandler);6    }7$pageRenderer
->addHeaderData('<script type="text/javascript">/*<![CDATA[*/TYPO3.settings.ajaxUrls = ' . json_encode($ajaxUrls) . ';/*]]>*/</script>');8}
The function getAjaxUrl() is new in 6.2.

#2 - 2014-10-26 14:37 - Chris topher
- Subject changed from Fatal error when I add a new content to Fix fatal error in TYPO3 < 6.2
#3 - 2014-10-26 14:38 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project TYPO3CMS/Extensions/feeditadvanced has been pushed to the review server.
It is available at http://review.typo3.org/33543

#4 - 2014-10-26 14:39 - Gerrit Code Review

Patch set 2 for branch master of project TYPO3CMS/Extensions/feeditadvanced has been pushed to the review server.
It is available at http://review.typo3.org/33543

#5 - 2014-10-26 15:04 - Gerrit Code Review

Patch set 3 for branch master of project TYPO3CMS/Extensions/feeditadvanced has been pushed to the review server.
It is available at http://review.typo3.org/33543

#6 - 2014-10-26 15:19 - Chris topher
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a770b76466e432698459f13d474b8206f119820b.

2015-08-04 2/2

http://review.typo3.org/33543
http://review.typo3.org/33543
http://review.typo3.org/33543

